Package io.vertx.grpc.reflection.v1

## Class ServerReflectionRequest

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - io.vertx.grpc.reflection.v1.ServerReflectionRequest

- All Implemented Interfaces:
    `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ServerReflectionRequestOrBuilder`, `Serializable`

      public final class ServerReflectionRequest
      extends com.google.protobuf.GeneratedMessage
      implements ServerReflectionRequestOrBuilder

       The message sent by the client when calling ServerReflectionInfo method.

  Protobuf type `grpc.reflection.v1.ServerReflectionRequest`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ServerReflectionRequest.Builder` | The message sent by the client when calling ServerReflectionInfo method.
    `static class` | `ServerReflectionRequest.MessageRequestCase` |

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT>,​BuilderT extends com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageT,​BuilderT>>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingT extends com.google.protobuf.Message,​T extends Object>, com.google.protobuf.GeneratedMessage.UnusedPrivateParameter`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessage

      `com.google.protobuf.AbstractMessage.BuilderParent`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

      `com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ALL_EXTENSION_NUMBERS_OF_TYPE_FIELD_NUMBER` |
    `static int` | `FILE_BY_FILENAME_FIELD_NUMBER` |
    `static int` | `FILE_CONTAINING_EXTENSION_FIELD_NUMBER` |
    `static int` | `FILE_CONTAINING_SYMBOL_FIELD_NUMBER` |
    `static int` | `HOST_FIELD_NUMBER` |
    `static int` | `LIST_SERVICES_FIELD_NUMBER` |

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders, unknownFields`

    - ### Fields inherited from class com.google.protobuf.AbstractMessage

      `memoizedSize`

    - ### Fields inherited from class com.google.protobuf.AbstractMessageLite

      `memoizedHashCode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getAllExtensionNumbersOfType()` | Finds the tag numbers used by all known extensions of the given message type, and appends them to ExtensionNumberResponse in an undefined order.
    `com.google.protobuf.ByteString` | `getAllExtensionNumbersOfTypeBytes()` | Finds the tag numbers used by all known extensions of the given message type, and appends them to ExtensionNumberResponse in an undefined order.
    `static ServerReflectionRequest` | `getDefaultInstance()` |
    `ServerReflectionRequest` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `String` | `getFileByFilename()` | Find a proto file by the file name.
    `com.google.protobuf.ByteString` | `getFileByFilenameBytes()` | Find a proto file by the file name.
    `ExtensionRequest` | `getFileContainingExtension()` | Find the proto file which defines an extension extending the given message type with the given field number.
    `ExtensionRequestOrBuilder` | `getFileContainingExtensionOrBuilder()` | Find the proto file which defines an extension extending the given message type with the given field number.
    `String` | `getFileContainingSymbol()` | Find the proto file that declares the given fully-qualified symbol name.
    `com.google.protobuf.ByteString` | `getFileContainingSymbolBytes()` | Find the proto file that declares the given fully-qualified symbol name.
    `String` | `getHost()` | `string host = 1;`
    `com.google.protobuf.ByteString` | `getHostBytes()` | `string host = 1;`
    `String` | `getListServices()` | List the full names of registered services.
    `com.google.protobuf.ByteString` | `getListServicesBytes()` | List the full names of registered services.
    `ServerReflectionRequest.MessageRequestCase` | `getMessageRequestCase()` |
    `com.google.protobuf.Parser<ServerReflectionRequest>` | `getParserForType()` |
    `int` | `getSerializedSize()` |
    `boolean` | `hasAllExtensionNumbersOfType()` | Finds the tag numbers used by all known extensions of the given message type, and appends them to ExtensionNumberResponse in an undefined order.
    `boolean` | `hasFileByFilename()` | Find a proto file by the file name.
    `boolean` | `hasFileContainingExtension()` | Find the proto file which defines an extension extending the given message type with the given field number.
    `boolean` | `hasFileContainingSymbol()` | Find the proto file that declares the given fully-qualified symbol name.
    `int` | `hashCode()` |
    `boolean` | `hasListServices()` | List the full names of registered services.
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `static ServerReflectionRequest.Builder` | `newBuilder()` |
    `static ServerReflectionRequest.Builder` | `newBuilder​(ServerReflectionRequest prototype)` |
    `ServerReflectionRequest.Builder` | `newBuilderForType()` |
    `protected ServerReflectionRequest.Builder` | `newBuilderForType​(com.google.protobuf.AbstractMessage.BuilderParent parent)` |
    `static ServerReflectionRequest` | `parseDelimitedFrom​(InputStream input)` |
    `static ServerReflectionRequest` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ServerReflectionRequest` | `parseFrom​(byte[] data)` |
    `static ServerReflectionRequest` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ServerReflectionRequest` | `parseFrom​(com.google.protobuf.ByteString data)` |
    `static ServerReflectionRequest` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ServerReflectionRequest` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
    `static ServerReflectionRequest` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ServerReflectionRequest` | `parseFrom​(InputStream input)` |
    `static ServerReflectionRequest` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ServerReflectionRequest` | `parseFrom​(ByteBuffer data)` |
    `static ServerReflectionRequest` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static com.google.protobuf.Parser<ServerReflectionRequest>` | `parser()` |
    `ServerReflectionRequest.Builder` | `toBuilder()` |
    `void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, newFileScopedGeneratedExtension, newInstance, newMessageScopedGeneratedExtension, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `findInitializationErrors, getInitializationErrorString, hashFields, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Field Detail

    - #### HOST_FIELD_NUMBER

          public static final int HOST_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### FILE_BY_FILENAME_FIELD_NUMBER

          public static final int FILE_BY_FILENAME_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### FILE_CONTAINING_SYMBOL_FIELD_NUMBER

          public static final int FILE_CONTAINING_SYMBOL_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### FILE_CONTAINING_EXTENSION_FIELD_NUMBER

          public static final int FILE_CONTAINING_EXTENSION_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ALL_EXTENSION_NUMBERS_OF_TYPE_FIELD_NUMBER

          public static final int ALL_EXTENSION_NUMBERS_OF_TYPE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### LIST_SERVICES_FIELD_NUMBER

          public static final int LIST_SERVICES_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getMessageRequestCase

          public ServerReflectionRequest.MessageRequestCase getMessageRequestCase()

      Specified by:
        `getMessageRequestCase` in interface `ServerReflectionRequestOrBuilder`

    - #### getHost

          public String getHost()

      `string host = 1;`
      Specified by:
        `getHost` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The host.

    - #### getHostBytes

          public com.google.protobuf.ByteString getHostBytes()

      `string host = 1;`
      Specified by:
        `getHostBytes` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The bytes for host.

    - #### hasFileByFilename

          public boolean hasFileByFilename()

           Find a proto file by the file name.

      `string file_by_filename = 3;`
      Specified by:
        `hasFileByFilename` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        Whether the fileByFilename field is set.

    - #### getFileByFilename

          public String getFileByFilename()

           Find a proto file by the file name.

      `string file_by_filename = 3;`
      Specified by:
        `getFileByFilename` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The fileByFilename.

    - #### getFileByFilenameBytes

          public com.google.protobuf.ByteString getFileByFilenameBytes()

           Find a proto file by the file name.

      `string file_by_filename = 3;`
      Specified by:
        `getFileByFilenameBytes` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The bytes for fileByFilename.

    - #### hasFileContainingSymbol

          public boolean hasFileContainingSymbol()

           Find the proto file that declares the given fully-qualified symbol name.
           This field should be a fully-qualified symbol name
           (e.g. <package>.<service>[.<method>] or <package>.<type>).

      `string file_containing_symbol = 4;`
      Specified by:
        `hasFileContainingSymbol` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        Whether the fileContainingSymbol field is set.

    - #### getFileContainingSymbol

          public String getFileContainingSymbol()

           Find the proto file that declares the given fully-qualified symbol name.
           This field should be a fully-qualified symbol name
           (e.g. <package>.<service>[.<method>] or <package>.<type>).

      `string file_containing_symbol = 4;`
      Specified by:
        `getFileContainingSymbol` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The fileContainingSymbol.

    - #### getFileContainingSymbolBytes

          public com.google.protobuf.ByteString getFileContainingSymbolBytes()

           Find the proto file that declares the given fully-qualified symbol name.
           This field should be a fully-qualified symbol name
           (e.g. <package>.<service>[.<method>] or <package>.<type>).

      `string file_containing_symbol = 4;`
      Specified by:
        `getFileContainingSymbolBytes` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The bytes for fileContainingSymbol.

    - #### hasFileContainingExtension

          public boolean hasFileContainingExtension()

           Find the proto file which defines an extension extending the given
           message type with the given field number.

      `.grpc.reflection.v1.ExtensionRequest file_containing_extension = 5;`
      Specified by:
        `hasFileContainingExtension` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        Whether the fileContainingExtension field is set.

    - #### getFileContainingExtension

          public ExtensionRequest getFileContainingExtension()

           Find the proto file which defines an extension extending the given
           message type with the given field number.

      `.grpc.reflection.v1.ExtensionRequest file_containing_extension = 5;`
      Specified by:
        `getFileContainingExtension` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The fileContainingExtension.

    - #### getFileContainingExtensionOrBuilder

          public ExtensionRequestOrBuilder getFileContainingExtensionOrBuilder()

           Find the proto file which defines an extension extending the given
           message type with the given field number.

      `.grpc.reflection.v1.ExtensionRequest file_containing_extension = 5;`
      Specified by:
        `getFileContainingExtensionOrBuilder` in interface `ServerReflectionRequestOrBuilder`

    - #### hasAllExtensionNumbersOfType

          public boolean hasAllExtensionNumbersOfType()

           Finds the tag numbers used by all known extensions of the given message
           type, and appends them to ExtensionNumberResponse in an undefined order.
           Its corresponding method is best-effort: it's not guaranteed that the
           reflection service will implement this method, and it's not guaranteed
           that this method will provide all extensions. Returns
           StatusCode::UNIMPLEMENTED if it's not implemented.
           This field should be a fully-qualified type name. The format is
           <package>.<type>

      `string all_extension_numbers_of_type = 6;`
      Specified by:
        `hasAllExtensionNumbersOfType` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        Whether the allExtensionNumbersOfType field is set.

    - #### getAllExtensionNumbersOfType

          public String getAllExtensionNumbersOfType()

           Finds the tag numbers used by all known extensions of the given message
           type, and appends them to ExtensionNumberResponse in an undefined order.
           Its corresponding method is best-effort: it's not guaranteed that the
           reflection service will implement this method, and it's not guaranteed
           that this method will provide all extensions. Returns
           StatusCode::UNIMPLEMENTED if it's not implemented.
           This field should be a fully-qualified type name. The format is
           <package>.<type>

      `string all_extension_numbers_of_type = 6;`
      Specified by:
        `getAllExtensionNumbersOfType` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The allExtensionNumbersOfType.

    - #### getAllExtensionNumbersOfTypeBytes

          public com.google.protobuf.ByteString getAllExtensionNumbersOfTypeBytes()

           Finds the tag numbers used by all known extensions of the given message
           type, and appends them to ExtensionNumberResponse in an undefined order.
           Its corresponding method is best-effort: it's not guaranteed that the
           reflection service will implement this method, and it's not guaranteed
           that this method will provide all extensions. Returns
           StatusCode::UNIMPLEMENTED if it's not implemented.
           This field should be a fully-qualified type name. The format is
           <package>.<type>

      `string all_extension_numbers_of_type = 6;`
      Specified by:
        `getAllExtensionNumbersOfTypeBytes` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The bytes for allExtensionNumbersOfType.

    - #### hasListServices

          public boolean hasListServices()

           List the full names of registered services. The content will not be
           checked.

      `string list_services = 7;`
      Specified by:
        `hasListServices` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        Whether the listServices field is set.

    - #### getListServices

          public String getListServices()

           List the full names of registered services. The content will not be
           checked.

      `string list_services = 7;`
      Specified by:
        `getListServices` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The listServices.

    - #### getListServicesBytes

          public com.google.protobuf.ByteString getListServicesBytes()

           List the full names of registered services. The content will not be
           checked.

      `string list_services = 7;`
      Specified by:
        `getListServicesBytes` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The bytes for listServices.

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo​(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.GeneratedMessage`

    - #### equals

          public boolean equals​(Object obj)

      Specified by:
        `equals` in interface `com.google.protobuf.Message`
      Overrides:
        `equals` in class `com.google.protobuf.AbstractMessage`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `com.google.protobuf.Message`
      Overrides:
        `hashCode` in class `com.google.protobuf.AbstractMessage`

    - #### parseFrom

          public static ServerReflectionRequest parseFrom​(ByteBuffer data)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ServerReflectionRequest parseFrom​(ByteBuffer data,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ServerReflectionRequest parseFrom​(com.google.protobuf.ByteString data)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ServerReflectionRequest parseFrom​(com.google.protobuf.ByteString data,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ServerReflectionRequest parseFrom​(byte[] data)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ServerReflectionRequest parseFrom​(byte[] data,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ServerReflectionRequest parseFrom​(InputStream input)
                                                   throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static ServerReflectionRequest parseFrom​(InputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static ServerReflectionRequest parseDelimitedFrom​(InputStream input)
                                                            throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static ServerReflectionRequest parseDelimitedFrom​(InputStream input,
                                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                            throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static ServerReflectionRequest parseFrom​(com.google.protobuf.CodedInputStream input)
                                                   throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static ServerReflectionRequest parseFrom​(com.google.protobuf.CodedInputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws IOException

      Throws:
        `IOException`

    - #### newBuilderForType

          public ServerReflectionRequest.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static ServerReflectionRequest.Builder newBuilder()

    - #### newBuilder

          public static ServerReflectionRequest.Builder newBuilder​(ServerReflectionRequest prototype)

    - #### toBuilder

          public ServerReflectionRequest.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected ServerReflectionRequest.Builder newBuilderForType​(com.google.protobuf.AbstractMessage.BuilderParent parent)

      Overrides:
        `newBuilderForType` in class `com.google.protobuf.AbstractMessage`

    - #### getDefaultInstance

          public static ServerReflectionRequest getDefaultInstance()

    - #### parser

          public static com.google.protobuf.Parser<ServerReflectionRequest> parser()

    - #### getParserForType

          public com.google.protobuf.Parser<ServerReflectionRequest> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### getDefaultInstanceForType

          public ServerReflectionRequest getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`